/*
GERAL
*/

@import url('css/sora.css');

*, ::before, ::after{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    tap-highlight-color: rgba(0, 0, 0, 0);
    text-size-adjust: none;
    -webkit-text-size-adjust: none;
}

/*
TRANSIÇÃO ENTRE ID'S SUAVES
*/

html{
    scroll-behavior: smooth;
}

body{
    font-family: 'Sora', sans-serif;
    font-weight: 300;
    font-size: 16px;
    line-height: 24px;
    color: #001C4B;
    background-color: #E6EDF8;
}

.container{
    width: 100%;
    margin-left: auto;
    margin-right: auto;
    padding-left: 16px;
    padding-right: 16px;
}

.titulosecao{
    font-size: 48px;
    font-weight: 900;
    line-height: 56px;
    margin-top: calc(120px - 12px);
    margin-bottom: calc(48px - 11px);
    color: #001C4B;
    text-align: center;
}

img, pictures, video, canvas, svg {
    display: block;
    max-width: 100%;
    user-select: none;
}

ul{
    list-style: none;
}

a{
    text-decoration: none;
}

/*
HEADER
*/

.header{
    width: 100%;
    position: fixed;
    top: 0;
    left: 0;
    background-color: #0047BB;
    padding-top: 24px;
    padding-bottom: 24px;
    z-index: 2;
}

.header__fechado{
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #0047BB;
    padding: 0;
    z-index: 2;
    width: 100%;
}

.header__logo{
    height: 36px;
}

.header__menu{
    cursor: pointer;
}

.header__aberto{
    position: fixed;
    top: 0px;
    right: -100%;
    background-color: #0047BB;
    height: 100vh;
    width: 100%;
    transition: .6s ease-in-out;
    z-index: 3;
    box-shadow: 8px 8px 32px rgba(0, 0, 0, 0.8);
}

.header__fechar{
    cursor: pointer;
    position: absolute;
    top: 30px;
    right: 18px;
    z-index: 1;
}

.header__aberto--ativado{
    display: block;
    right: 0;
}

.header__lista{
    height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 40px;
}

.header__link{
    color: #fff;
}

.header__link--ativo{
    opacity: 40%;
    cursor: default;
}

/*
CONTATO
*/

.contato{
    height: 100vh;
    max-height: 960px;
    min-height: 640px;
    padding-top: 75px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.contato__titulo{
    font-size: 48px;
    line-height: 56px;
    font-weight: 900;
    margin-bottom: -16px;
    max-width: 8ch;
}

.contato__item{
    margin-top: 32px;
}

.contato__tipo{
    font-size: 24px;
    font-weight: 900;
    line-height: 32px;
    margin-bottom: -12px;
}

.contato__info{
    margin-top: 16px;
}

.btn__whats{
    display: inline-block;
    text-decoration: underline;
    color: #0047BB;
    display: flex;
    align-items: center;
    gap: 8px
}

.icone_whatsapp{
    height: 16px;
    width: auto;
}

.n2{
    margin: 0;
}

.endereco{
    max-width: 36ch;
}

/*
RODAPE
*/

.rodape{
    background-color: #0047BB;
    text-align: center;
    padding-top: 120px;
}

.rodape__conteudo{
    display: flex;
    flex-direction: column;
    gap: 120px;
}

.rodape__lista{
    display: flex;
    flex-wrap: wrap;
    gap: 64px;
}

.rodape__item{
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    flex-wrap: wrap;
}

.rodape__secao{
    color: #fff;
    font-size: 16px;
    font-weight: 900;
    margin-bottom: calc(32px - 10px);
}

.rodape__link{
    color: #fff;
    margin-bottom: calc(16px - 10px);
    font-weight: 300;
}

.redesosocial__icone{
    display: flex;
    gap: 16px;
}

.rodape__icone{
    height: 32px;
}

.rodape__credito{
    background-color: #FA4616;
    padding-top: 16px;
    padding-bottom: 16px;
    color: #fff;
    font-weight: 300;
    margin-top: 120px;
}

.rodape__site{
    color: #fff;
}

.rodape__logo{
    width: 100%;
}


/*768px BREAKING POINT*/
@media (min-width: 768px){
 
    /*
    GERAL
    */
    
    .container{
        max-width: 768px;
    }
    
    /*
    HEADER
    */

    .header__aberto{
        width: 50%;
    }
    
    .header__fechar{
        right: 32px;
    }
    
    /*
    CONTATO
    */

    .contato{
        max-height: 880px;
    }

    .contato__titulo{
        font-size: 56px;
        line-height: 64px;
    }

    /*
    RODAPE
    */

    .rodape__lista{
        justify-content: center;
        gap: 104px
    }

    .rodape__item{
        width: 180px;
    }    
    
    .rodape__link{
        white-space: nowrap;
    }
    
}

/*1200px BREAKING POINT*/
@media (min-width: 1200px){
 
    /*
    GERAL
    */
    
    .container{
        max-width: 1200px;
        padding-left: 32px;
        padding-right: 32px;
    }
    
    /*
    HEADER
    */
    
    .header{
        padding-top: 24px;
        padding-bottom: 24px;
        box-shadow: 4px 4px 16px rgba(0, 0, 0, 0.2);
    }

    .header__conteudo{
        display: flex;
        align-items: center;
        justify-content: space-between;
    }
    
    .header__fechado{
        width: auto;
    }

    .header__logo{
        height: 44px;
    }
    
    .header__menu{
        display: none;
    }

    .header__aberto{
        position: static;
        background-color: none;
        height: auto;
        width: auto;
        transition: none;
        box-shadow: none;
    }

    .header__fechar{
        display: none;
    }

    .header__lista{
        height: auto;
        flex-direction: row;
        gap: 48px;
    } 
    
}
    
    
/*1200px BREAKING POINT*/
@media (min-width: 1400px){
    
    /*
    GERAL
    */
    
    .container{
        max-width: 1400px;
    }
    
    /*
    CONTATO
    */    

    .contato{
        max-height: 920px;
    }

    .contato__titulo{
        font-size: 64px;
        line-height: 72px;
    }

    /*
    RODAPE
    */
    
    .rodape__conteudo{
        display: flex;
        flex-direction: row-reverse;
        align-items: center;
        justify-content: space-between
    }

    .rodape__item{
        width: 150px;
    }    

}